%global pkg_name restructuredtext-lint
%global pypi_name restructuredtext_lint

Summary:        reStructuredText linter
Name:           python-%{pkg_name}
Version:        1.4.0
Release:        8%{?dist}

License:        Unlicense
URL:            https://pypi.python.org/pypi/restructuredtext_lint
Source0:        %{pypi_source}
Source1:        pytest.ini

BuildArch:      noarch

%description
Lint reStructuredText linter files with an API or a CLI.
It reports errors and warning including:
- Unknown directives
- Wrong usage of directives
- Inconsistencies in title levels
- Unexpected unindent


%package -n     python3-%{pkg_name}
Summary:        reStructuredText linter
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-PyYAML >= 3.11
BuildRequires:  python3-docutils >= 0.11
BuildRequires:  python3-docutils < 1.0
Requires:       python3-docutils >= 0.11
Requires:       python3-docutils < 1.0

%description -n python3-%{pkg_name}
Lint reStructuredText linter files with an API or a CLI.
It reports errors and warning including:
- Unknown directives
- Wrong usage of directives
- Inconsistencies in title levels
- Unexpected unindent


%prep
%autosetup -n %{pypi_name}-%{version} -p1
cp -a %{SOURCE1} .

find -name '*.pyc' -delete


%build
%py3_build


%install
%py3_install


%check
PYTHONPATH="$(pwd)" pytest-%{python3_version} -v


%files -n python3-%{pkg_name}
%license UNLICENSE
%doc README.rst
%{_bindir}/rst-lint
%{_bindir}/restructuredtext-lint
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{pypi_name}/


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-7
- Rebuilt for loongarch release

* Fri Sep 22 2023 rockerzhu <rockerzhu@tencent.com> - 1.4.0-6
- Fix source url.

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 18 2023 Feng Weiyao <wynnfeng@tencent.com> - 1.4.0-2
- rebuild for openstack-cinder in ocs23

* Mon Feb 20 2023 Yi Lin <nilusyi@tencent.com> - 1.4.0-1
- package init.
